package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.MeterReading;
import com.ruoyi.ems.domain.vo.QueryMeterReading;
import org.apache.ibatis.annotations.Param;

/**
 * 抄记录Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-28
 */
public interface MeterReadingMapper {
    /**
     * 查询抄记录列表
     *
     * @param id   区域编码
     * @return 抄记录集合
     */
    MeterReading selectById(@Param("id") Long id);

    /**
     * 查询抄记录列表
     *
     * @param areaCode   区域编码
     * @param deviceCode 设备编码
     * @return 抄记录集合
     */
    MeterReading selectLastItem(@Param("areaCode") String areaCode, @Param("deviceCode") String deviceCode);

    /**
     * 查询抄记录列表
     *
     * @param queryMeterReading 参数
     * @return 抄记录集合
     */
    List<MeterReading> selectList(QueryMeterReading queryMeterReading);

    /**
     * 查询抄记录列表
     *
     * @param queryMeterReading 参数
     * @return 抄记录集合
     */
    List<MeterReading> selectByTag(QueryMeterReading queryMeterReading);

    /**
     * 新增抄记录
     *
     * @param meterReadingManual 抄记录
     * @return 结果
     */
    int insert(MeterReading meterReadingManual);

    /**
     * 修改抄记录
     *
     * @param meterReadingManual 抄记录
     * @return 结果
     */
    int update(MeterReading meterReadingManual);

    /**
     * 删除抄记录
     *
     * @param id 抄记录主键
     * @return 结果
     */
    int deleteById(Long id);
}
